This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 834253 - C++ compilation fails when using BDADDR_ANY and BDADDR_LOCAL defines from bluetooth.h
C++ compilation fails when using BDADDR_ANY and BDADDR_LOCAL defines from blu...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Don Zickus
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 06:58 EDT by ZiN
Modified: 2015-02-17 09:18 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:18:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Sample C++ code using BDADDR_ANY, BDADDR_LOCAL defines from bluetooth.h (293 bytes, application/octet-stream)
2012-06-21 06:58 EDT, ZiN
no flags Details
Sample C++ code using BDADDR_ANY, BDADDR_LOCAL defines from bluetooth.h (314 bytes, text/plain)
2012-06-21 07:02 EDT, ZiN
no flags Details

  None (edit)
Description ZiN 2012-06-21 06:58:41 EDT
Created attachment 593415 [details]
Sample C++ code using BDADDR_ANY, BDADDR_LOCAL defines from bluetooth.h

Description of problem:
Unable to compile C++ code using BDADDR_ANY, BDADDR_LOCAL defines from bluetooth.h

Version-Release number of selected component (if applicable):
gcc-c++-4.7.0-5.fc17.i686
bluez-libs-devel-4.99-1.fc17.i686

How reproducible:
Tried to use BDADDR_ANY, BDADDR_LOCAL defines from bluetooth.h
in C++.

Steps to Reproduce:
1. Compile sample C++ program
  
Actual results:
Compilation fails with error messages:

/tmp/asd.cpp: In constructor 'sdp_compile_test::sdp_compile_test()'
/tmp/asd.cpp:11:28: error: taking address of temporary [-fpermissive]
/tmp/asd.cpp:11:40: error: taking address of temporary [-fpermissive]

Expected results:
C++ program compiles without errors.

Additional info:
Perhaps it would be better, it there were something like bluez-c++-devel with C++ classes for bluetooth functionality.
Comment 1 ZiN 2012-06-21 07:02:04 EDT
Created attachment 593418 [details]
Sample C++ code using BDADDR_ANY, BDADDR_LOCAL defines from bluetooth.h
Comment 2 ZiN 2012-06-21 23:34:07 EDT
The call to sdp function is taken from SmartCam:
http://smartcam.sourceforge.net
That is V4L wrapper getting video stream from a remote server installed on a smartphone, via bluetooth, WiFi of USB.
The desktop Linux part is divided into the V4L C driver, and
control GTK UI with streaming proxy that is a C++ application.
There were several successful builds, if not mistaken, up to Fedora 16. But when rebuilding in Fedora 17, because of GTK and C++ updates, this error occured.
Comment 3 Fedora End Of Life 2013-07-03 16:36:41 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora Admin XMLRPC Client 2013-08-26 10:24:40 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2015-01-09 12:12:33 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 09:18:18 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.